{% extends 'base.html.twig' %}

{% block body %}

    <!-- ##### Single Product Details Area Start ##### -->
    <section class="single_product_details_area d-flex align-items-center" >

        <!-- Single Product Thumb -->
        <div class="single_product_thumb clearfix">

                {% if   produit.images[1] is defined %}
                 <div class="product_thumbnail_slides owl-carousel">
                    {% for img in produit.images %}
                                <img src="{{ asset('/uploads/images/products/'~img.fileName) }}" alt="">
                    {% endfor %}
                </div>

                {% else %}
                    <img class="hover-img" src="{{ asset('/uploads/images/products/'~produit.images[0].fileName) }}" alt="">

                {% endif %}
        </div>

        <!-- Single Product Description -->
        <!-- Single Product Description -->
        <div class="single_product_desc clearfix">


            <span>{{ produit.referentiels.libelle }}</span>
            <a href="cart.html">
                <h2>{{ produit.libelle }}</h2>
            </a>
            {% if (produit.solde != null and produit.solde != 0)  %}
                <p class="product-price"><span
                            class="old-price">{{ produit.prixHT }} TND</span> {{ produit.prixHT -((produit.prixHT / 100)* produit.solde) }}
                    TND</p>
            {% else %}
                <p class="product-price"> {{ produit.prixHT }}
                    TND</p>
            {% endif %}

            <p class="product-desc">{{ produit.description |raw|nl2br }}</p>

            <!-- Form -->
            <!-- Select Box -->
            {% if (produit.stocks |length != 0)  %}

                <div class="btn-group" style="display: block;" data-toggle="buttons">
                    {% for stock in produit.stocks %}


                        {% if loop.first or  (loop.index0 is divisible by(4)  )  %}
                            <div class="row">
                        {% endif %}

                        {% if (stock.qte != 0) %}
                            <label class="btn btn-primary-custom" ng-click="changStock({{ stock.id }},{{ stock.mesure.libelle }})">
                                <input   type="radio" name="stocks" ng-model="idStock" id="option2" value="{{ stock.id }}" autocomplete="off" chacked>
                                &nbsp;&nbsp; {{ stock.mesure.libelle }} &nbsp;&nbsp;
                                <span  class="glyphicon glyphicon-ok"></span>
                            </label>
                        {%  endif %}
                        {% if (stock.qte == 0) %}
                            <label class="btn btn-danger-custom" ng-click="changStock({{ stock.id }},{{ stock.mesure.libelle }})">
                                <input  type="radio" name="stocks" ng-model="idStock" id="option2" value="{{ stock.id }}" autocomplete="off" chacked disabled>
                                &nbsp;&nbsp; {{ stock.mesure.libelle }}&nbsp;&nbsp;
                                <span class="glyphicon glyphicon-remove"></span>
                            </label>
                        {%  endif %}

                                {% if  loop.last or (loop.index is divisible by(4)) %}
                                </div>
                                    {% endif %}
                    {% endfor %}


                </div>


                <div class="select-box d-flex mt-50 mb-30">
                    {#                <select required name="selectStock" ng-model="idStock" id="productSize" class="mr-5">#}
                    {#                    {% for stock in produit.stocks %}#}
                    {#                        <option value="{{ stock.id }}">{{ stock.mesure.libelle }} |#}
                    {#                            Qte: {{ stock.qte }}</option>#}
                    {#                    {% endfor %}#}
                    {#                </select>#}
                    <select required name="selectQte" ng-model="qteProduit" id="qteProduit" class="mr-5">
                        <option value="1">1</option>
                        <option value="2">2</option>
                        <option value="3">3</option>
                        <option value="4">4</option>
                        <option value="5">5</option>
                        <option value="6">6</option>
                        <option value="7">7</option>
                        <option value="8">8</option>
                        <option value="9">9</option>
                        <option value="10">10</option>
                    </select>
                </div>

                <!-- -->
                {#             {{(produitJson|json_encode(constant('JSON_PRETTY_PRINT')))}}#}
                <!-- Cart & Favourite Box -->
                <div class="cart-fav-box d-flex align-items-center">
                    <!-- Cart -->
                    <button ng-click="addPannierAction('{{ produit.id }}','{{ produit.libelle }}','{{ produit.description  |replace ({'\'': ' '})}}','{{ produit.images[0].fileName }}','{{ produit.prixHT }}','{{ produit.solde }}')" type="submit" name="addtocart" value="5"
                            class="btn essence-btn">J’ACHÈTE
                    </button>
                    <!-- Favourite -->
                    <div class="product-favourite ml-4">
                        <a href="#" class="favme fa fa-heart"></a>
                    </div>
                </div>
            {% else %}
                <p class="product-price"> RUPTURE</p>
            {% endif %}
        </div>
    </section>


    <!-- ##### Single Product Details Area End ##### -->
{% endblock %}

{% block javascripts %}
    {{ parent() }}




{% endblock %}
